import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import React from 'react'
import ChallengeCardLast from './ChallengeCardLast'

// Value coming from jest.config
declare let __SAU_IDEA_DIRECT_LINK__: string

describe('ChallengeCardLast component', () => {
  it('should be rendered correctly', async () => {
    const wrapper = mount(<ChallengeCardLast />)
    expect(toJson(wrapper)).toMatchSnapshot()
  })

  it('should open SAU new idea link', () => {
    global.open = jest.fn()

    const wrapper = mount(<ChallengeCardLast />)
    wrapper.find('.btn_lastCard').first().simulate('click')
    expect(window.open).toHaveBeenCalledTimes(1)
    expect(global.open).toHaveBeenCalledWith(
      `${__SAU_IDEA_DIRECT_LINK__}?version=0.0.0`
    )
  })
})
