import ChallengeView from 'components/Challenge/ChallengeView'
import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import React from 'react'
import { Provider } from 'react-redux'
import { challengeStateDataFull } from 'tests/__mocks__/challengeStateData.mock'
import { createMockEcolyoStore } from 'tests/__mocks__/store'

jest.mock('components/Header/CozyBar', () => 'mock-cozybar')
jest.mock('components/Header/Header', () => 'mock-header')
jest.mock('components/Content/Content', () => 'mock-content')
jest.mock(
  'components/Challenge/ChallengeCard/ChallengeCard',
  () => 'mock-challengecard'
)
jest.mock(
  'components/Challenge/ChallengeCard/ChallengeCard',
  () => 'mock-challengecard'
)

describe('ChallengeView component', () => {
  const store = createMockEcolyoStore({
    challenge: challengeStateDataFull,
  })

  it('should be rendered correctly', () => {
    const wrapper = mount(
      <Provider store={store}>
        <ChallengeView />
      </Provider>
    )

    expect(toJson(wrapper)).toMatchSnapshot()
  })
})
