import Button from '@material-ui/core/Button'
import { ProfileTypeStepForm } from 'enums'
import { mount } from 'enzyme'
import React from 'react'
import { Provider } from 'react-redux'
import { createMockEcolyoStore } from 'tests/__mocks__/store'
import FormNavigation from './FormNavigation'

describe('FormNavigation component', () => {
  const store = createMockEcolyoStore()

  it('should be rendered correctly', () => {
    const mockHandlePrevious = jest.fn()
    const mockHandleNext = jest.fn()
    const wrapper = mount(
      <Provider store={store}>
        <FormNavigation
          step={ProfileTypeStepForm.COOKING_FLUID}
          handlePrevious={mockHandlePrevious}
          handleNext={mockHandleNext}
          disableNextButton={false}
        />
      </Provider>
    )
    wrapper.find(Button).at(0).simulate('click')
    wrapper.find(Button).at(1).simulate('click')
    expect(wrapper.find('profile-navigation')).toBeTruthy()
    expect(wrapper.find(Button)).toBeTruthy()
    expect(mockHandlePrevious.mock.calls.length).toEqual(1)
    expect(mockHandleNext.mock.calls.length).toEqual(1)
  })
})
