import { useI18n } from 'cozy-ui/transpiled/react/I18n'
import React from 'react'
import '../connection.scss'
import FormLogin from './FormLogin/FormLogin'

const EpglForm = ({ hasCreatedAccount }: { hasCreatedAccount: boolean }) => {
  const { t } = useI18n()

  return (
    <div className="connection-form">
      {hasCreatedAccount && (
        <p className="connection-form-title eglgrandlyon text-20-bold">
          {t('auth.eglgrandlyon.with_account.title')}
        </p>
      )}
      <div className="connection-form-subtitle text-18-bold">
        {t('auth.eglgrandlyon.with_account.subtitle1')}
      </div>
      <FormLogin />
    </div>
  )
}

export default EpglForm
