import Button from '@material-ui/core/Button'
import iconGrdfLogo from 'assets/icons/visu/grdf-logo.svg'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import { useI18n } from 'cozy-ui/transpiled/react/I18n'
import React from 'react'
import { useAppDispatch } from 'store/hooks'
import { openConnectionModal } from 'store/modal/modal.slice'
import '../connection.scss'

const GrdfForm = () => {
  const { t } = useI18n()
  const dispatch = useAppDispatch()

  return (
    <div className="connection-form">
      <p className="connection-form-title grdfgrandlyon text-20-bold">
        {t('auth.grdfgrandlyon.with_account.title')}
      </p>

      <div className="connection-form-subtitle text-18-bold">
        {t('auth.grdfgrandlyon.with_account.subtitle1')}
      </div>
      <div className="connection-form-connect-button grdf">
        <Button
          aria-label={t('auth.accessibility.button_connect')}
          onClick={() => dispatch(openConnectionModal(true))}
          classes={{
            root: 'btn-highlight',
            label: 'text-18-bold',
          }}
        >
          <div className="connection-form-connect-button-content">
            <div className="connection-form-connect-button-content-icon">
              <StyledIcon icon={iconGrdfLogo} size={80} />
            </div>
            <div className="connection-form-connect-button-text text-18-bold">
              <div>{t('auth.grdfgrandlyon.connect_form.label')}</div>
            </div>
          </div>
        </Button>
      </div>
    </div>
  )
}

export default GrdfForm
