import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import React from 'react'
import { Provider } from 'react-redux'
import { createMockEcolyoStore } from 'tests/__mocks__/store'
import SgeModalHint from './SgeModalHint'

describe('SgeModalHint component', () => {
  it('should be rendered correctly', () => {
    const mockClose = jest.fn()
    const store = createMockEcolyoStore()
    const wrapper = mount(
      <Provider store={store}>
        <SgeModalHint open={true} handleCloseClick={mockClose} />
      </Provider>
    )
    expect(toJson(wrapper)).toMatchSnapshot()
  })
})
