import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import React from 'react'
import { Provider } from 'react-redux'
import { createMockEcolyoStore, mockGlobalState } from 'tests/__mocks__/store'
import StepConsent from './StepConsent'

const mockHandleChange = jest.fn()

describe('StepConsent component', () => {
  const store = createMockEcolyoStore()
  it('should be rendered correctly', () => {
    const wrapper = mount(
      <Provider store={store}>
        <StepConsent
          sgeState={mockGlobalState.sgeConnect}
          onChange={mockHandleChange}
        />
      </Provider>
    )
    expect(toJson(wrapper)).toMatchSnapshot()
  })
  it('should change pdlConfirm value', () => {
    const wrapper = mount(
      <Provider store={store}>
        <StepConsent
          sgeState={mockGlobalState.sgeConnect}
          onChange={mockHandleChange}
        />
      </Provider>
    )
    wrapper.find('#pdlConfirm').first().simulate('change')
    expect(mockHandleChange).toHaveBeenCalledWith('pdlConfirm', false)
  })
  it('should change dataConsent value', () => {
    const wrapper = mount(
      <Provider store={store}>
        <StepConsent
          sgeState={mockGlobalState.sgeConnect}
          onChange={mockHandleChange}
        />
      </Provider>
    )
    wrapper.find('#dataConsent').first().simulate('change')
    expect(mockHandleChange).toHaveBeenCalledWith('dataConsent', false)
  })
})
