import { FluidType } from 'enums'
import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import React from 'react'
import { Provider } from 'react-redux'
import { createMockEcolyoStore } from 'tests/__mocks__/store'
import { waitForComponentToPaint } from 'tests/__mocks__/testUtils'
import FluidButtons from './FluidButtons'

describe('FluidButtons component', () => {
  const store = createMockEcolyoStore()

  it('should be rendered correctly', async () => {
    const wrapper = mount(
      <Provider store={store}>
        <FluidButtons activeFluid={FluidType.ELECTRICITY} />
      </Provider>
    )
    await waitForComponentToPaint(wrapper)
    expect(toJson(wrapper)).toMatchSnapshot()
  })
})
