import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import React from 'react'
import EstimatedConsumptionModal from './EstimatedConsumptionModal'

const mockGetAllLastPrices = jest.fn()
jest.mock('services/fluidsPrices.service', () => {
  return jest.fn(() => ({
    getAllLastPrices: mockGetAllLastPrices,
  }))
})

describe('EstimatedConsumptionModal component', () => {
  it('should render correctly', async () => {
    const wrapper = mount(
      <EstimatedConsumptionModal open={true} handleCloseClick={jest.fn()} />
    )
    expect(toJson(wrapper)).toMatchSnapshot()
  })
})
