import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import React from 'react'
import { waitForComponentToPaint } from 'tests/__mocks__/testUtils'
import { userChallengeData } from 'tests/__mocks__/userChallengeData.mock'
import DuelResultModal from './DuelResultModal'

describe('DuelResultModal component', () => {
  it('should render correctly', async () => {
    const wrapper = mount(
      <DuelResultModal
        open={true}
        handleCloseClick={jest.fn()}
        userChallenge={userChallengeData[1]}
        win={true}
      />
    )
    await waitForComponentToPaint(wrapper)
    expect(toJson(wrapper)).toMatchSnapshot()
  })
  it('should render a loss modal', async () => {
    const wrapper = mount(
      <DuelResultModal
        open={true}
        handleCloseClick={jest.fn()}
        userChallenge={userChallengeData[1]}
        win={false}
      />
    )
    await waitForComponentToPaint(wrapper)
    expect(wrapper.find('.title').text()).toBe('duel_result_modal.lost.title')
  })
})
