/* eslint-disable react/display-name */
import EcogestureCard from 'components/Ecogesture/EcogestureCard/EcogestureCard'
import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import React from 'react'
import { BrowserRouter } from 'react-router-dom'
import { mockedEcogesturesData } from 'tests/__mocks__/ecogesturesData.mock'
import { waitForComponentToPaint } from 'tests/__mocks__/testUtils'

describe('EcogestureCard component', () => {
  it('should be rendered correctly', async () => {
    const wrapper = mount(
      <BrowserRouter>
        <EcogestureCard ecogesture={mockedEcogesturesData[0]} />
      </BrowserRouter>
    )
    await waitForComponentToPaint(wrapper)
    expect(toJson(wrapper)).toMatchSnapshot()
  })
  it('should be with default icon', async () => {
    const wrapper = mount(
      <BrowserRouter>
        <EcogestureCard ecogesture={mockedEcogesturesData[0]} />
      </BrowserRouter>
    )
    await waitForComponentToPaint(wrapper)
    expect(wrapper.find('.Icon').exists()).toBeTruthy()
  })
})
