import { Button } from '@material-ui/core'
import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import React from 'react'
import EcogestureInitModal from './EcogestureInitModal'

const mockHandleClose = jest.fn()
const mockHandleLaunchForm = jest.fn()
describe('EcogestureInitModal component', () => {
  it('should be rendered correctly', () => {
    const wrapper = mount(
      <EcogestureInitModal
        open={true}
        handleCloseClick={mockHandleClose}
        handleLaunchForm={mockHandleLaunchForm}
      />
    )
    expect(toJson(wrapper)).toMatchSnapshot()
  })
  it('should close modal', () => {
    const wrapper = mount(
      <EcogestureInitModal
        open={true}
        handleCloseClick={mockHandleClose}
        handleLaunchForm={mockHandleLaunchForm}
      />
    )
    wrapper.find(Button).first().simulate('click')
    expect(mockHandleClose).toHaveBeenCalledTimes(1)
  })
  it('should close modal and launch form', async () => {
    const wrapper = mount(
      <EcogestureInitModal
        open={true}
        handleCloseClick={mockHandleClose}
        handleLaunchForm={mockHandleLaunchForm}
      />
    )
    wrapper.find(Button).at(1).simulate('click')
    expect(mockHandleLaunchForm).toHaveBeenCalledTimes(1)
  })
})
