import EcogestureModal from 'components/Ecogesture/EcogestureModal/EcogestureModal'
import { mount } from 'enzyme'
import React from 'react'
import { Provider } from 'react-redux'
import { mockedEcogesturesData } from 'tests/__mocks__/ecogesturesData.mock'
import { createMockEcolyoStore } from 'tests/__mocks__/store'
import { waitForComponentToPaint } from 'tests/__mocks__/testUtils'

describe('EcogestureModal component', () => {
  it('should be rendered correctly', async () => {
    const store = createMockEcolyoStore()
    const wrapper = mount(
      <Provider store={store}>
        <EcogestureModal
          open={true}
          ecogesture={mockedEcogesturesData[0]}
          isAction={false}
          handleCloseClick={jest.fn()}
        />
      </Provider>
    )
    await waitForComponentToPaint(wrapper)
    expect(wrapper.find('.em-title').text()).toEqual(
      mockedEcogesturesData[0].shortName
    )
  })
})
