/* eslint-disable react/display-name */
import { Button } from '@material-ui/core'
import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import React from 'react'
import EcogestureNotFound from './EcogestureNotFound'

const mockedNavigate = jest.fn()
jest.mock('react-router-dom', () => ({
  ...jest.requireActual('react-router-dom'),
  useNavigate: () => mockedNavigate,
}))

jest.mock('components/Header/Header', () => 'mock-header')
jest.mock('components/Header/CozyBar', () => 'mock-cozybar')
jest.mock('components/Content/Content', () => 'mock-content')

describe('EcogestureNotFound component', () => {
  it('should be rendered correctly', async () => {
    const wrapper = mount(
      <EcogestureNotFound text="test" returnPage="ecogestures" />
    )

    expect(toJson(wrapper)).toMatchSnapshot()
  })
  it('should click on button and be redirected', () => {
    const wrapper = mount(
      <EcogestureNotFound text="test" returnPage="ecogestures" />
    )
    wrapper.find(Button).simulate('click')
    expect(mockedNavigate).toHaveBeenCalledWith('/ecogestures')
  })
})
