import { Button } from '@material-ui/core'
import BearIcon from 'assets/icons/visu/duelResult/CHALLENGE0001-0.svg'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import Content from 'components/Content/Content'
import CozyBar from 'components/Header/CozyBar'
import Header from 'components/Header/Header'
import { useI18n } from 'cozy-ui/transpiled/react/I18n'
import React, { useState } from 'react'
import { useNavigate } from 'react-router-dom'
import './ecogestureNotFound.scss'

const EcogestureNotFound = ({
  text,
  returnPage,
}: {
  text: string
  returnPage: string
}) => {
  const { t } = useI18n()
  const navigate = useNavigate()
  const [headerHeight, setHeaderHeight] = useState<number>(0)

  return (
    <>
      <CozyBar titleKey="error_page.main" />
      <Header
        setHeaderHeight={setHeaderHeight}
        desktopTitleKey="error_page.main"
      />
      <Content heightOffset={headerHeight}>
        <div className="error-container">
          <StyledIcon className="profile-icon" icon={BearIcon} size={250} />

          <div className="text-18-bold head">{text}</div>
          <Button
            aria-label={t('error_page.back')}
            onClick={() => navigate(`/${returnPage}`)}
            variant="contained"
            classes={{
              root: 'btn-highlight',
              label: 'text-18-bold',
            }}
            type="submit"
          >
            {t('error_page.back')}
          </Button>
        </div>
      </Content>
    </>
  )
}

export default EcogestureNotFound
