import { Button } from '@material-ui/core'
import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import React from 'react'
import EcogestureLaunchFormModal from './EcogestureLaunchFormModal'

const mockHandleClose = jest.fn()
describe('EcogestureLaunchFormModal component', () => {
  it('should be rendered correctly', () => {
    const wrapper = mount(
      <EcogestureLaunchFormModal
        open={true}
        handleCloseClick={mockHandleClose}
      />
    )
    expect(toJson(wrapper)).toMatchSnapshot()
  })
  it('should close modal', async () => {
    const wrapper = mount(
      <EcogestureLaunchFormModal
        open={true}
        handleCloseClick={mockHandleClose}
      />
    )
    wrapper.find(Button).first().simulate('click')
    expect(mockHandleClose).toHaveBeenCalledTimes(1)
  })
})
