/* eslint-disable react/display-name */
import { EquipmentType } from 'enums'
import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import React from 'react'
import { waitForComponentToPaint } from 'tests/__mocks__/testUtils'
import EquipmentIcon from './EquipmentIcon'

describe('EcogestureFormSingleChoice component', () => {
  it('should be rendered correctly', async () => {
    const wrapper = mount(
      <EquipmentIcon equipment={EquipmentType.BOILER} isChecked={false} />
    )
    await waitForComponentToPaint(wrapper)
    expect(toJson(wrapper)).toMatchSnapshot()
  })
  it('should render checked icon', async () => {
    const wrapper = mount(
      <EquipmentIcon equipment={EquipmentType.BOILER} isChecked={true} />
    )
    await waitForComponentToPaint(wrapper)
    expect(wrapper.find('.checked').first().exists()).toBeTruthy()
  })
})
