import Button from '@material-ui/core/Button'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import { mount } from 'enzyme'
import React from 'react'
import { Provider } from 'react-redux'
import { createMockEcolyoStore } from 'tests/__mocks__/store'
import { userChallengeData } from 'tests/__mocks__/userChallengeData.mock'
import ExplorationFinished from './ExplorationFinished'

describe('ExplorationFinished', () => {
  const store = createMockEcolyoStore()
  it('should be rendered correctly', () => {
    const wrapper = mount(
      <Provider store={store}>
        <ExplorationFinished userChallenge={userChallengeData[0]} />
      </Provider>
    )
    expect(wrapper.find(StyledIcon).exists()).toBeTruthy()
    expect(wrapper.find('.congratulation').exists()).toBeTruthy()
    expect(wrapper.find('.exploration-earn').exists()).toBeTruthy()
    expect(wrapper.find('.msg-success').text()).toEqual(
      userChallengeData[0].exploration.message_success
    )
  })
  it('should redirect to challenge on click on styledButton', () => {
    const wrapper = mount(
      <Provider store={store}>
        <ExplorationFinished userChallenge={userChallengeData[0]} />
      </Provider>
    )
    wrapper.find(Button).first().simulate('click')
  })
})
