import ExplorationOngoing from 'components/Exploration/ExplorationOngoing'
import { mount } from 'enzyme'
import React from 'react'
import { Provider } from 'react-redux'
import { createMockEcolyoStore } from 'tests/__mocks__/store'
import { userChallengeData } from 'tests/__mocks__/userChallengeData.mock'

const mockUserChallengeUpdateFlag = jest.fn()
const mockIsChallengeDone = jest.fn()
jest.mock('services/challenge.service', () => {
  return jest.fn(() => ({
    updateUserChallenge: mockUserChallengeUpdateFlag,
    isChallengeDone: mockIsChallengeDone,
  }))
})

describe('ExplorationOngoing component', () => {
  it('should be rendered correctly', () => {
    const store = createMockEcolyoStore()
    const wrapper = mount(
      <Provider store={store}>
        <ExplorationOngoing userChallenge={userChallengeData[0]} />
      </Provider>
    )
    expect(
      wrapper.find('.exploration-explanation > div').first().text()
    ).toEqual(userChallengeData[1].exploration.description)
    expect(
      wrapper.find('.exploration-explanation > div').last().text()
    ).toEqual(userChallengeData[1].exploration.complementary_description)
    expect(wrapper.find('.button-start').exists()).toBeTruthy()
  })
})
