import { FluidType } from 'enums'
import { mount } from 'enzyme'
import React from 'react'
import Loader from './Loader'

describe('Loader component', () => {
  it('should render base Loader', () => {
    const wrapper = mount(<Loader />)
    expect(wrapper.getElement()).toMatchSnapshot()
  })

  it('should render Electricity Loader', () => {
    const wrapper = mount(<Loader color="elec" />)
    expect(wrapper.getElement()).toMatchSnapshot()
  })

  it('should render Water Loader', () => {
    const wrapper = mount(<Loader fluidType={FluidType.WATER} />)
    expect(wrapper.getElement()).toMatchSnapshot()
  })

  it('should render Gas Loader', () => {
    const wrapper = mount(<Loader fluidType={FluidType.GAS} />)
    expect(wrapper.getElement()).toMatchSnapshot()
  })
})
