import { ProfileTypeStepForm } from 'enums'
import { mount } from 'enzyme'
import React from 'react'
import { Provider } from 'react-redux'
import {
  mockProfileType,
  mockProfileTypeAnswers,
} from 'tests/__mocks__/profileType.mock'
import { createMockEcolyoStore } from 'tests/__mocks__/store'
import ProfileTypeFormNumberSelection from './ProfileTypeFormNumberSelection'

const mockHandlePrevious = jest.fn()
const mockHandleNext = jest.fn()

describe('ProfileTypeFormNumberSelection component', () => {
  const store = createMockEcolyoStore()

  it('should be rendered correctly', () => {
    const wrapper = mount(
      <Provider store={store}>
        <ProfileTypeFormNumberSelection
          step={ProfileTypeStepForm.COOKING_FLUID}
          viewedStep={ProfileTypeStepForm.AREA}
          currentProfileType={mockProfileType}
          answerType={mockProfileTypeAnswers[3]}
          setNextStep={mockHandleNext}
          setPreviousStep={mockHandlePrevious}
        />
      </Provider>
    )
    expect(wrapper.find('input')).toBeTruthy()
  })
})
