import ProfileTypeView from 'components/ProfileType/ProfileTypeView'
import { mount } from 'enzyme'
import React from 'react'
import { Provider } from 'react-redux'
import { createMockEcolyoStore } from 'tests/__mocks__/store'

jest.mock('components/Header/CozyBar', () => 'mock-cozybar')
jest.mock('components/Header/Header', () => 'mock-header')
jest.mock('components/Content/Content', () => 'mock-content')

describe('ProfileTypeView component', () => {
  const store = createMockEcolyoStore()

  it('should be rendered correctly', () => {
    const wrapper = mount(
      <Provider store={store}>
        <ProfileTypeView />
      </Provider>
    )
    expect(wrapper.find('mock-cozybar').exists()).toBeTruthy()
    expect(wrapper.find('mock-header').exists()).toBeTruthy()
    expect(wrapper.find('mock-content').exists()).toBeTruthy()
    expect(wrapper.find('.profile-type-container').exists()).toBeTruthy()
  })
})
