import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import React from 'react'
import { Provider } from 'react-redux'
import { createMockEcolyoStore } from 'tests/__mocks__/store'
import DataShareConsentContent from './DataShareConsentContent'

describe('DataShareConsentContent component', () => {
  it('should be rendered correctly with first connexion text', () => {
    const store = createMockEcolyoStore({
      profile: { isFirstConnection: true },
    })
    const component = mount(
      <Provider store={store}>
        <DataShareConsentContent />
      </Provider>
    )
    expect(toJson(component)).toMatchSnapshot()
  })
  it('should be rendered correctly without first connexion text', () => {
    const store = createMockEcolyoStore({
      profile: { isFirstConnection: false },
    })
    const component = mount(
      <Provider store={store}>
        <DataShareConsentContent />
      </Provider>
    )
    expect(toJson(component)).toMatchSnapshot()
  })
})
