require('babel-polyfill')
require('jest-canvas-mock')

import { configure } from 'enzyme'
import Adapter from 'enzyme-adapter-react-16'
import mockClient from 'tests/__mocks__/client.mock'

configure({ adapter: new Adapter() })

jest.mock('cozy-ui/transpiled/react/I18n', () => ({
  useI18n: jest.fn(() => ({
    t: (key: string) => key,
  })),
}))

jest.mock('cozy-client', () => ({
  ...jest.requireActual('cozy-client'),
  useClient: () => mockClient,
}))

jest.mock('react-router-dom', () => ({
  ...jest.requireActual('react-router-dom'),
  useNavigate: () => jest.fn(),
}))
